Skip to content
Start here

Review Scanned DNS Records

client.DNS.Records.ScanReview(ctx, params) (*RecordScanReviewResponse, error)
POST/zones/{zone_id}/dns_records/scan/review

Accept or reject DNS records found by the DNS records scan. Accepted records will be permanently added to the zone, while rejected records will be permanently deleted.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS Write
ParametersExpand Collapse
params RecordScanReviewParams
ZoneID param.Field[string]

Path param: Identifier.

maxLength32
Accepts param.Field[[]RecordScanReviewParamsAccept]optional

Body param

type ARecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type ARecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

A valid IPv4 address.

formatipv4
PrivateRouting booloptional

Enables private network routing to the origin.

Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings ARecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type AAAARecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type AAAARecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

A valid IPv6 address.

formatipv6
PrivateRouting booloptional

Enables private network routing to the origin.

Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings AAAARecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type CNAMERecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type CNAMERecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

A valid hostname. Must not match the record's name.

Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings CNAMERecordSettingsoptional

Settings for the DNS record.

FlattenCNAME booloptional

If enabled, causes the CNAME record to be resolved externally and the resulting address records (e.g., A and AAAA) to be returned instead of the CNAME record itself. This setting is unavailable for proxied records, since they are always flattened.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type MXRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type MXRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

A valid mail server hostname.

formathostname
Priority float64optional

Required for MX and URI records; ignored for other record types (but may still be returned by the API). Records with lower priorities are preferred. This field is to be deprecated in favor of the priority field within the data map.

maximum65535
minimum0
Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings MXRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type NSRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type NSRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

A valid name server host name.

Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings NSRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type RecordScanReviewParamsAcceptsDNSRecordsOpenpgpkeyRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type RecordScanReviewParamsAcceptsDNSRecordsOpenpgpkeyRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings RecordScanReviewParamsAcceptsDNSRecordsOpenpgpkeyRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type PTRRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type PTRRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Domain name pointing to the address.

Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings PTRRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type TXTRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type TXTRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Text content for the record. The content must consist of quoted "character strings" (RFC 1035), each with a length of up to 255 bytes. Strings exceeding this allowed maximum length are automatically split.

Learn more at https://www.cloudflare.com/learning/dns/dns-records/dns-txt-record/.

Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings TXTRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type CAARecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type CAARecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Formatted CAA content. See 'data' to set CAA properties.

Data CAARecordDataoptional

Components of a CAA record.

Flags float64optional

Flags for the CAA record.

maximum255
minimum0
Tag stringoptional

Name of the property controlled by this record (e.g.: issue, issuewild, iodef).

Value stringoptional

Value of the record. This field's semantics depend on the chosen tag.

Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings CAARecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type CERTRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type CERTRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Formatted CERT content. See 'data' to set CERT properties.

Data CERTRecordDataoptional

Components of a CERT record.

Algorithm float64optional

Algorithm.

maximum255
minimum0
Certificate stringoptional

Certificate.

KeyTag float64optional

Key Tag.

maximum65535
minimum0
Type float64optional

Type.

maximum65535
minimum0
Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings CERTRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type DNSKEYRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type DNSKEYRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Formatted DNSKEY content. See 'data' to set DNSKEY properties.

Data DNSKEYRecordDataoptional

Components of a DNSKEY record.

Algorithm float64optional

Algorithm.

maximum255
minimum0
Flags float64optional

Flags.

maximum65535
minimum0
Protocol float64optional

Protocol.

maximum255
minimum0
PublicKey stringoptional

Public Key.

Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings DNSKEYRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type DSRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type DSRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Formatted DS content. See 'data' to set DS properties.

Data DSRecordDataoptional

Components of a DS record.

Algorithm float64optional

Algorithm.

maximum255
minimum0
Digest stringoptional

Digest.

DigestType float64optional

Digest Type.

maximum255
minimum0
KeyTag float64optional

Key Tag.

maximum65535
minimum0
Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings DSRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type HTTPSRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type HTTPSRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Formatted HTTPS content. See 'data' to set HTTPS properties.

Data HTTPSRecordDataoptional

Components of a HTTPS record.

Priority float64optional

Priority.

maximum65535
minimum0
Target stringoptional

Target.

Value stringoptional

Value.

Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings HTTPSRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type LOCRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type LOCRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Formatted LOC content. See 'data' to set LOC properties.

Data LOCRecordDataoptional

Components of a LOC record.

Altitude float64optional

Altitude of location in meters.

maximum42849672.95
minimum-100000
LatDegrees float64optional

Degrees of latitude.

maximum90
minimum0
LatDirection LOCRecordDataLatDirectionoptional

Latitude direction.

One of the following:
const LOCRecordDataLatDirectionN LOCRecordDataLatDirection = "N"
const LOCRecordDataLatDirectionS LOCRecordDataLatDirection = "S"
LatMinutes float64optional

Minutes of latitude.

maximum59
minimum0
LatSeconds float64optional

Seconds of latitude.

maximum59.999
minimum0
LongDegrees float64optional

Degrees of longitude.

maximum180
minimum0
LongDirection LOCRecordDataLongDirectionoptional

Longitude direction.

One of the following:
const LOCRecordDataLongDirectionE LOCRecordDataLongDirection = "E"
const LOCRecordDataLongDirectionW LOCRecordDataLongDirection = "W"
LongMinutes float64optional

Minutes of longitude.

maximum59
minimum0
LongSeconds float64optional

Seconds of longitude.

maximum59.999
minimum0
PrecisionHorz float64optional

Horizontal precision of location.

maximum90000000
minimum0
PrecisionVert float64optional

Vertical precision of location.

maximum90000000
minimum0
Size float64optional

Size of location in meters.

maximum90000000
minimum0
Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings LOCRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type NAPTRRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type NAPTRRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Formatted NAPTR content. See 'data' to set NAPTR properties.

Data NAPTRRecordDataoptional

Components of a NAPTR record.

Flags stringoptional

Flags.

Order float64optional

Order.

maximum65535
minimum0
Preference float64optional

Preference.

maximum65535
minimum0
Regex stringoptional

Regex.

Replacement stringoptional

Replacement.

Service stringoptional

Service.

Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings NAPTRRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type SMIMEARecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type SMIMEARecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Formatted SMIMEA content. See 'data' to set SMIMEA properties.

Data SMIMEARecordDataoptional

Components of a SMIMEA record.

Certificate stringoptional

Certificate.

MatchingType float64optional

Matching Type.

maximum255
minimum0
Selector float64optional

Selector.

maximum255
minimum0
Usage float64optional

Usage.

maximum255
minimum0
Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings SMIMEARecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type SRVRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type SRVRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Priority, weight, port, and SRV target. See 'data' for setting the individual component values.

Data SRVRecordDataoptional

Components of a SRV record.

Port float64optional

The port of the service.

maximum65535
minimum0
Priority float64optional

Required for MX and URI records; ignored for other record types (but may still be returned by the API). Records with lower priorities are preferred. This field is to be deprecated in favor of the priority field within the data map.

maximum65535
minimum0
Target stringoptional

A valid hostname.

formathostname
Weight float64optional

The record weight.

maximum65535
minimum0
Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings SRVRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type SSHFPRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type SSHFPRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Formatted SSHFP content. See 'data' to set SSHFP properties.

Data SSHFPRecordDataoptional

Components of a SSHFP record.

Algorithm float64optional

Algorithm.

maximum255
minimum0
Fingerprint stringoptional

Fingerprint.

Type float64optional

Type.

maximum255
minimum0
Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings SSHFPRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type SVCBRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type SVCBRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Formatted SVCB content. See 'data' to set SVCB properties.

Data SVCBRecordDataoptional

Components of a SVCB record.

Priority float64optional

Priority.

maximum65535
minimum0
Target stringoptional

Target.

Value stringoptional

Value.

Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings SVCBRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type TLSARecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type TLSARecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Formatted TLSA content. See 'data' to set TLSA properties.

Data TLSARecordDataoptional

Components of a TLSA record.

Certificate stringoptional

Certificate.

MatchingType float64optional

Matching Type.

maximum255
minimum0
Selector float64optional

Selector.

maximum255
minimum0
Usage float64optional

Usage.

maximum255
minimum0
Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings TLSARecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

type URIRecord struct{…}
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type URIRecordType

Record type.

Comment stringoptional

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content stringoptional

Formatted URI content. See 'data' to set URI properties.

Data URIRecordDataoptional

Components of a URI record.

Target stringoptional

The record content.

Weight float64optional

The record weight.

maximum65535
minimum0
Priority float64optional

Required for MX and URI records; ignored for other record types (but may still be returned by the API). Records with lower priorities are preferred. This field is to be deprecated in favor of the priority field within the data map.

maximum65535
minimum0
Proxied booloptional

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings URIRecordSettingsoptional

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTagsoptional

Custom tags for the DNS record. This field has no effect on DNS responses.

Rejects param.Field[[]RecordScanReviewParamsReject]optional

Body param

ID string

Identifier.

maxLength32
ReturnsExpand Collapse
type RecordScanReviewResponse struct{…}
Accepts []RecordResponseoptional
One of the following:
type RecordResponseA struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseAAAA struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseCNAME struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseMX struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseNS struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseOpenpgpkey struct{…}
ID string

Identifier.

maxLength32
Comment string

Comments or notes about the DNS record. This field has no effect on DNS responses.

Content string

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Name string

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

Proxied bool

Whether the record is receiving the performance and security benefits of Cloudflare.

Settings RecordResponseOpenpgpkeySettings

Settings for the DNS record.

IPV4Only booloptional

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

IPV6Only booloptional

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

Tags []RecordTags

Custom tags for the DNS record. This field has no effect on DNS responses.

TTL TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float64
type TTL float64

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

Type RecordResponseOpenpgpkeyType

Record type.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponsePTR struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseTXT struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseCAA struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseCERT struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseDNSKEY struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseDS struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseHTTPS struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseLOC struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseNAPTR struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseSMIMEA struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseSRV struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseSSHFP struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseSVCB struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseTLSA struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
type RecordResponseURI struct{…}
ID string

Identifier.

maxLength32
CreatedOn Time

When the record was created.

formatdate-time
Meta unknown

Extra Cloudflare-specific information about the record.

ModifiedOn Time

When the record was last modified.

formatdate-time
Proxiable bool

Whether the record can be proxied by Cloudflare or not.

CommentModifiedOn Timeoptional

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
TagsModifiedOn Timeoptional

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
Rejects []stringoptional

Review Scanned DNS Records

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/dns"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.DNS.Records.ScanReview(context.TODO(), dns.RecordScanReviewParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Accepts)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "accepts": [
      {
        "name": "example.com",
        "ttl": 3600,
        "type": "A",
        "comment": "Domain verification record",
        "content": "198.51.100.4",
        "private_routing": true,
        "proxied": true,
        "settings": {
          "ipv4_only": true,
          "ipv6_only": true
        },
        "tags": [
          "owner:dns-team"
        ],
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "created_on": "2014-01-01T05:20:00.12345Z",
        "meta": {},
        "modified_on": "2014-01-01T05:20:00.12345Z",
        "proxiable": true,
        "comment_modified_on": "2024-01-01T05:20:00.12345Z",
        "tags_modified_on": "2025-01-01T05:20:00.12345Z"
      }
    ],
    "rejects": [
      "023e105f4ecef8ad9ca31a8372d0c353"
    ]
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "accepts": [
      {
        "name": "example.com",
        "ttl": 3600,
        "type": "A",
        "comment": "Domain verification record",
        "content": "198.51.100.4",
        "private_routing": true,
        "proxied": true,
        "settings": {
          "ipv4_only": true,
          "ipv6_only": true
        },
        "tags": [
          "owner:dns-team"
        ],
        "id": "023e105f4ecef8ad9ca31a8372d0c353",
        "created_on": "2014-01-01T05:20:00.12345Z",
        "meta": {},
        "modified_on": "2014-01-01T05:20:00.12345Z",
        "proxiable": true,
        "comment_modified_on": "2024-01-01T05:20:00.12345Z",
        "tags_modified_on": "2025-01-01T05:20:00.12345Z"
      }
    ],
    "rejects": [
      "023e105f4ecef8ad9ca31a8372d0c353"
    ]
  }
}